:root {
  font-family: sans-serif;
  background-color: Canvas;
  color: CanvasText;
  color-scheme: light dark;
}

body {
  max-width: 50rem;
  padding: 0 1rem 0 1rem;
  margin: auto;
}

h1 { margin-bottom: 0; }
nav p {
  font-size: 0.9rem;
  margin-top: 0.5rem;
}

h1, h2 {
  clear: both;
}

table {
  border: 1px solid;
  border-spacing: 0.25rem;
}

.subtable {
  border: none;
  border-spacing: 0;
}

.float {
  float: right;
  margin-left: 0.5rem;
}

.course-info {
  max-width: 23rem;
  text-align: left;
  border-spacing: 0.5rem;
  & ul {
    list-style: none;
    padding: 0;
    margin: 0;
  }
}

.module-list {
  & h3 {
    font-size: 1rem;
  }
  & > li::marker {
    font-weight: bold;
  }
}

@media (max-width: 50rem) {
  .float {
    margin: 0;
    float: none;
  }
}

pre {
  white-space: pre-wrap;
  overflow-x: scroll;
  background-color: rgba(128, 128, 128, 0.15);
}

.prompt { color: GrayText; }

kbd { font-weight: bold; }

math[display*="block"] {
  padding-top: 1rem;
  padding-bottom: 1rem;
}
